Documentation Index Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
Use this file to discover all available pages before exploring further.
Billing
Review billing summaries, invoices, transactions, and plan operations.
The examples use A2A code mode. MCP exposes the same code mode through its execute tool.
Functions
billing.current_plan.get
billing.current_plan.get(account_id: str) -> BillingResult
Get the current billing plan.
Property Value Property Value Requires permission billing.viewAuth required yesExecution mode syncCapability billing.viewResource type accountResource ID field account_idPublic API route GET /v1/public/accounts/{account_id}/billing/current-plan
Name Type Required Description account_idstryes Account UUID from the route path
Field Type Required Description billing_periodstryes Billing period for the current plan currencystryes Billing currency code plan_idstryes Current billing plan ID plan_namestryes Current billing plan name pricestryes Current plan price statusstryes Current plan status can_cancel_planboolno Whether the plan can be cancelled can_change_planboolno Whether the plan can be changed
Request: {
"request_id" : "example" ,
"session_id" : "session_123" ,
"code" : "billing.current_plan.get(account_id= \" 3c90c3cc-0d44-4b50-8888-8dd25736052a \" )"
}
Response: {
"request_id" : "example" ,
"status" : "completed" ,
"result" : {
"last_value" : true
},
"responses" : [
{
"index" : 0 ,
"function" : "billing.current_plan.get" ,
"status" : "completed" ,
"result" : true
}
],
"complexity_score" : 1
}
Request: {
"jsonrpc" : "2.0" ,
"id" : "example" ,
"method" : "tools/call" ,
"params" : {
"name" : "hybridbox_execute" ,
"arguments" : {
"code" : "billing.current_plan.get(account_id= \" 3c90c3cc-0d44-4b50-8888-8dd25736052a \" )"
}
}
}
Response: {
"jsonrpc" : "2.0" ,
"id" : "example" ,
"result" : {
"content" : [
{
"type" : "text" ,
"text" : "{ \n \" request_id \" : \" example \" , \n \" status \" : \" completed \" , \n \" result \" : { \n \" last_value \" : true \n }, \n \" responses \" : [ \n { \n \" index \" : 0, \n \" function \" : \" billing.current_plan.get \" , \n \" status \" : \" completed \" , \n \" result \" : true \n } \n ], \n \" complexity_score \" : 1 \n }"
}
],
"isError" : false
}
}
billing.invoices.list
billing.invoices.list(account_id: str, page?: int, page_size?: int) -> Page[BillingResult]
List billing invoices.
Property Value Property Value Requires permission billing.viewAuth required yesExecution mode syncCapability billing.viewResource type accountResource ID field account_idPublic API route GET /v1/public/accounts/{account_id}/billing/invoices
Name Type Required Description account_idstryes Account UUID from the route path pageintno One-based billing page number page_sizeintno Maximum billing records per page
Field Type Required Description items[{"amount": str, "currency": str, "date": str, "download_url": str | null, "id": str, "status": str}]yes Invoices on this page pageintyes Current one-based page number page_sizeintyes Maximum items per page totalintyes Total matching invoices
Request: {
"request_id" : "example" ,
"session_id" : "session_123" ,
"code" : "billing.invoices.list(account_id= \" 3c90c3cc-0d44-4b50-8888-8dd25736052a \" , page=123, page_size=123)"
}
Response: {
"request_id" : "example" ,
"status" : "completed" ,
"result" : {
"last_value" : "<string>"
},
"responses" : [
{
"index" : 0 ,
"function" : "billing.invoices.list" ,
"status" : "completed" ,
"result" : "<string>"
}
],
"complexity_score" : 1
}
Request: {
"jsonrpc" : "2.0" ,
"id" : "example" ,
"method" : "tools/call" ,
"params" : {
"name" : "hybridbox_execute" ,
"arguments" : {
"code" : "billing.invoices.list(account_id= \" 3c90c3cc-0d44-4b50-8888-8dd25736052a \" , page=123, page_size=123)"
}
}
}
Response: {
"jsonrpc" : "2.0" ,
"id" : "example" ,
"result" : {
"content" : [
{
"type" : "text" ,
"text" : "{ \n \" request_id \" : \" example \" , \n \" status \" : \" completed \" , \n \" result \" : { \n \" last_value \" : \" <string> \"\n }, \n \" responses \" : [ \n { \n \" index \" : 0, \n \" function \" : \" billing.invoices.list \" , \n \" status \" : \" completed \" , \n \" result \" : \" <string> \"\n } \n ], \n \" complexity_score \" : 1 \n }"
}
],
"isError" : false
}
}
billing.plan.cancel
billing.plan.cancel(account_id: str, cancel_at_period_end?: bool, cancel_immediately?: bool) -> BillingResult
Cancel billing plan.
Property Value Property Value Requires permission billing.manageAuth required yesExecution mode syncCapability billing.manageResource type accountResource ID field account_idPublic API route POST /v1/public/accounts/{account_id}/billing/cancel-plan
Name Type Required Description account_idstryes Account UUID from the route path cancel_at_period_endboolno Cancel the plan at the end of the billing period cancel_immediatelyboolno Cancel the plan immediately
Field Type Required Description statusstryes Billing operation status account_statusstr | nullno Account status after the operation effective_atstr | nullno When the billing change took effect eligiblebool | nullno Whether the account was eligible for the operation previous_plan_idstr | nullno Previous billing plan ID target_plan_idstr | nullno Target billing plan ID
Request: {
"request_id" : "example" ,
"session_id" : "session_123" ,
"code" : "billing.plan.cancel(account_id= \" 3c90c3cc-0d44-4b50-8888-8dd25736052a \" , cancel_at_period_end=true, cancel_immediately=true)"
}
Response: {
"request_id" : "example" ,
"status" : "completed" ,
"result" : {
"last_value" : "<string>"
},
"responses" : [
{
"index" : 0 ,
"function" : "billing.plan.cancel" ,
"status" : "completed" ,
"result" : "<string>"
}
],
"complexity_score" : 1
}
Request: {
"jsonrpc" : "2.0" ,
"id" : "example" ,
"method" : "tools/call" ,
"params" : {
"name" : "hybridbox_execute" ,
"arguments" : {
"code" : "billing.plan.cancel(account_id= \" 3c90c3cc-0d44-4b50-8888-8dd25736052a \" , cancel_at_period_end=true, cancel_immediately=true)"
}
}
}
Response: {
"jsonrpc" : "2.0" ,
"id" : "example" ,
"result" : {
"content" : [
{
"type" : "text" ,
"text" : "{ \n \" request_id \" : \" example \" , \n \" status \" : \" completed \" , \n \" result \" : { \n \" last_value \" : \" <string> \"\n }, \n \" responses \" : [ \n { \n \" index \" : 0, \n \" function \" : \" billing.plan.cancel \" , \n \" status \" : \" completed \" , \n \" result \" : \" <string> \"\n } \n ], \n \" complexity_score \" : 1 \n }"
}
],
"isError" : false
}
}
billing.plan.change
billing.plan.change(account_id: str, plan_id: "smtp_per_mailbox" | "smtp_per_proxy", effective_date?: str | null) -> BillingResult
Change billing plan.
Property Value Property Value Requires permission billing.manageAuth required yesExecution mode syncCapability billing.manageResource type accountResource ID field account_idPublic API route POST /v1/public/accounts/{account_id}/billing/change-plan
Name Type Required Description account_idstryes Account UUID from the route path plan_id"smtp_per_mailbox" | "smtp_per_proxy"yes Target billing plan ID effective_datestr | nullno Requested effective date for the plan change
Field Type Required Description statusstryes Billing operation status account_statusstr | nullno Account status after the operation effective_atstr | nullno When the billing change took effect eligiblebool | nullno Whether the account was eligible for the operation previous_plan_idstr | nullno Previous billing plan ID target_plan_idstr | nullno Target billing plan ID
Request: {
"request_id" : "example" ,
"session_id" : "session_123" ,
"code" : "billing.plan.change(account_id= \" 3c90c3cc-0d44-4b50-8888-8dd25736052a \" , plan_id= \" 3c90c3cc-0d44-4b50-8888-8dd25736052a \" , effective_date= \" <string> \" )"
}
Response: {
"request_id" : "example" ,
"status" : "completed" ,
"result" : {
"last_value" : "<string>"
},
"responses" : [
{
"index" : 0 ,
"function" : "billing.plan.change" ,
"status" : "completed" ,
"result" : "<string>"
}
],
"complexity_score" : 1
}
Request: {
"jsonrpc" : "2.0" ,
"id" : "example" ,
"method" : "tools/call" ,
"params" : {
"name" : "hybridbox_execute" ,
"arguments" : {
"code" : "billing.plan.change(account_id= \" 3c90c3cc-0d44-4b50-8888-8dd25736052a \" , plan_id= \" 3c90c3cc-0d44-4b50-8888-8dd25736052a \" , effective_date= \" <string> \" )"
}
}
}
Response: {
"jsonrpc" : "2.0" ,
"id" : "example" ,
"result" : {
"content" : [
{
"type" : "text" ,
"text" : "{ \n \" request_id \" : \" example \" , \n \" status \" : \" completed \" , \n \" result \" : { \n \" last_value \" : \" <string> \"\n }, \n \" responses \" : [ \n { \n \" index \" : 0, \n \" function \" : \" billing.plan.change \" , \n \" status \" : \" completed \" , \n \" result \" : \" <string> \"\n } \n ], \n \" complexity_score \" : 1 \n }"
}
],
"isError" : false
}
}
billing.transactions.list
billing.transactions.list(account_id: str, page?: int, page_size?: int) -> Page[BillingResult]
List billing transactions.
Property Value Property Value Requires permission billing.viewAuth required yesExecution mode syncCapability billing.viewResource type accountResource ID field account_idPublic API route GET /v1/public/accounts/{account_id}/billing/transactions
Name Type Required Description account_idstryes Account UUID from the route path pageintno One-based billing page number page_sizeintno Maximum billing records per page
Field Type Required Description pageintyes Current one-based page number page_sizeintyes Maximum items per page totalintyes Total matching wallet transactions items[{"amount": str, "currency": str, "direction": str, "effective_at": str, "status": str, "transaction_id": str, "type": str, "balance_after"?: str | null, "description"?: str | null}]no Wallet transactions on this page
Request: {
"request_id" : "example" ,
"session_id" : "session_123" ,
"code" : "billing.transactions.list(account_id= \" 3c90c3cc-0d44-4b50-8888-8dd25736052a \" , page=123, page_size=123)"
}
Response: {
"request_id" : "example" ,
"status" : "completed" ,
"result" : {
"last_value" : 123
},
"responses" : [
{
"index" : 0 ,
"function" : "billing.transactions.list" ,
"status" : "completed" ,
"result" : 123
}
],
"complexity_score" : 1
}
Request: {
"jsonrpc" : "2.0" ,
"id" : "example" ,
"method" : "tools/call" ,
"params" : {
"name" : "hybridbox_execute" ,
"arguments" : {
"code" : "billing.transactions.list(account_id= \" 3c90c3cc-0d44-4b50-8888-8dd25736052a \" , page=123, page_size=123)"
}
}
}
Response: {
"jsonrpc" : "2.0" ,
"id" : "example" ,
"result" : {
"content" : [
{
"type" : "text" ,
"text" : "{ \n \" request_id \" : \" example \" , \n \" status \" : \" completed \" , \n \" result \" : { \n \" last_value \" : 123 \n }, \n \" responses \" : [ \n { \n \" index \" : 0, \n \" function \" : \" billing.transactions.list \" , \n \" status \" : \" completed \" , \n \" result \" : 123 \n } \n ], \n \" complexity_score \" : 1 \n }"
}
],
"isError" : false
}
}
billing.wallet_balance.get
billing.wallet_balance.get(account_id: str) -> BillingResult
Get the billing wallet balance.
Property Value Property Value Requires permission billing.viewAuth required yesExecution mode syncCapability billing.viewResource type accountResource ID field account_idPublic API route GET /v1/public/accounts/{account_id}/billing/wallet-balance
Name Type Required Description account_idstryes Account UUID from the route path
Field Type Required Description accrued_chargesstryes Unbilled accrued charges balancestryes Current wallet balance currencystryes Wallet currency code net_balancestryes Wallet balance after accrued charges
Request: {
"request_id" : "example" ,
"session_id" : "session_123" ,
"code" : "billing.wallet_balance.get(account_id= \" 3c90c3cc-0d44-4b50-8888-8dd25736052a \" )"
}
Response: {
"request_id" : "example" ,
"status" : "completed" ,
"result" : {
"last_value" : {
"accrued_charges" : "<string>" ,
"balance" : "<string>" ,
"currency" : "<string>" ,
"net_balance" : "<string>"
}
},
"responses" : [
{
"index" : 0 ,
"function" : "billing.wallet_balance.get" ,
"status" : "completed" ,
"result" : {
"accrued_charges" : "<string>" ,
"balance" : "<string>" ,
"currency" : "<string>" ,
"net_balance" : "<string>"
}
}
],
"complexity_score" : 1
}
Request: {
"jsonrpc" : "2.0" ,
"id" : "example" ,
"method" : "tools/call" ,
"params" : {
"name" : "hybridbox_execute" ,
"arguments" : {
"code" : "billing.wallet_balance.get(account_id= \" 3c90c3cc-0d44-4b50-8888-8dd25736052a \" )"
}
}
}
Response: {
"jsonrpc" : "2.0" ,
"id" : "example" ,
"result" : {
"content" : [
{
"type" : "text" ,
"text" : "{ \n \" request_id \" : \" example \" , \n \" status \" : \" completed \" , \n \" result \" : { \n \" last_value \" : { \n \" accrued_charges \" : \" <string> \" , \n \" balance \" : \" <string> \" , \n \" currency \" : \" <string> \" , \n \" net_balance \" : \" <string> \"\n } \n }, \n \" responses \" : [ \n { \n \" index \" : 0, \n \" function \" : \" billing.wallet_balance.get \" , \n \" status \" : \" completed \" , \n \" result \" : { \n \" accrued_charges \" : \" <string> \" , \n \" balance \" : \" <string> \" , \n \" currency \" : \" <string> \" , \n \" net_balance \" : \" <string> \"\n } \n } \n ], \n \" complexity_score \" : 1 \n }"
}
],
"isError" : false
}
}